/*
 *  This file is part of Omega Launcher
 *  Copyright (c) 2021   Saul Henriquez
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.saggitt.omega.allapps;

import android.content.Context;

import com.android.launcher3.InvariantDeviceProfile;
import com.android.launcher3.LauncherAppState;
import com.android.launcher3.allapps.AllAppsStore;

public class PagedAppsView {
    private int numCols;
    private int numRows;
    private int numPages;
    private int appsPerPage;
    private InvariantDeviceProfile idp;
    private Context mContext;
    private final AllAppsStore mAllAppsStore = new AllAppsStore();

    public PagedAppsView(Context context) {
        idp = LauncherAppState.getIDP(context);
        numCols = idp.numColsDrawer;
        numRows = idp.numRows;
        appsPerPage = numCols * numRows;
        mContext = context;
        numPages = mAllAppsStore.getApps().length / appsPerPage;
    }

}
